Subject: Re: Webhook issue - [#9903957]
From: Ashwin Bharath <[email-masked]>
To: [email-masked]
Date: Wed, 08 Dec 2021 12:38:49 +0000

Sure, Seeta.      ​We are having this checked at our end and we shall get back to you with further updates shortly.      Kindly lend us some time.     Check your ticket status - https://support.freshdesk.com/support/tickets/9903957       With Regards,  Ashwin   Product Specialist - Freshdesk  My working hours are from 10:00 AM to 7:00 PM GMT+5.30 (Monday - Friday).   Alternatively, you can contact our 24/5 support at +1 866 832 3090      
                           
                            On
                            Wed, 8 Dec at  6:04 PM
                            ,  Seeta Seeta <[email-masked]>  wrote:
                             
 Hi Team, 
   
 Please keep me posted here. 

 Thanks & Regards, Seeta Kunwar 

 
  
 From: "support" <[email-masked]> To: "Seeta Seeta" <[email-masked]> Sent: Wednesday, 8 December, 2021 12:29:47 Subject: Re: Webhook issue - [#9903957]  

  

 
 Hi Seeta, 
 ​ 
 It was nice having you on chat today. 
 
 I will run a few tests, consult the backend team if required, and get back to you with an update at the earliest. 

 
Kindly lend me some time.  
 
 Check your ticket status - https://support.freshdesk.com/support/tickets/9903957

 
 
 With Regards, 
 Ashwin  
 Product Specialist - Freshdesk 
 My working hours are from 10:00 AM to 7:00 PM GMT+5.30 (Monday - Friday).  
 Alternatively, you can contact our 24/5 support at +1 866 832 3090 

 
                           
                            On
                            Wed, 8 Dec at 12:25 PM
                            ,  Seeta Seeta <[email-masked]>  wrote:

             
 Seeta Kunwar 
                  hi           10:35 AM, 08th Dec      

            
 Ashwin                   Hi there, I'm Ashwin and I hope you are having a great day :D           10:35 AM, 08th Dec 

             
 Seeta Kunwar 
                  hi we are using freshdesk api but while trigerring url from post api to our url it repeats 2 times           10:35 AM, 08th Dec      

             
 Seeta Kunwar 
                  and not sending full data in first call           10:36 AM, 08th Dec      

             
 Seeta Kunwar 
                 
 here is creenshot of rules we used 
          10:36 AM, 08th Dec      

             
 Seeta Kunwar 
                  while status is open then it trigger one time only while status is Waiting on Third Party then it triggers twice           10:37 AM, 08th Dec      

            
 Ashwin                   Could you please share the screenshot of the data received in your database and it's corresponding ticket?           10:41 AM, 08th Dec 

             
 Seeta Kunwar 
                  sure while its triggered twice we stored data 2 times.           10:42 AM, 08th Dec      

             
 Seeta Kunwar 
                  one its with missing few fields and one with all fields           10:42 AM, 08th Dec      

             
 Seeta Kunwar 
                  just give me 2 mins           10:42 AM, 08th Dec      

            
 Ashwin                   Sure           10:43 AM, 08th Dec 

             
 Seeta Kunwar 
                  first time response:-  {"freshdesk_webhook":{"ticket_agent_name":"Seeta Kunwar","ticket_cf_additional_details":"Customer is available for collection between 3pm and 5pm on Monday.","ticket_cf_additional_notes":"","ticket_cf_awb_number":"4364487456","ticket_cf_general_notes":"This is test","ticket_cf_language":"","ticket_cf_lsm_automation_info":"","ticket_cf_lsm_escalation_info":"Delayed Collection - Updated Phone and Address","ticket_cf_new_address":"New Address-123<br\/>in New City<br\/>and New Town-4445","ticket_cf_new_phone_number":"097373733541","ticket_cf_new_status_should_be":"","ticket_cf_order_id":"12344","ticket_cf_project":"UAE","ticket_group_name":"LiveSalesman","ticket_id":"3490788","ticket_source":"Phone","ticket_status":"Waiting on Third Party","ticket_tags":"AUTOTEST"}}           10:44 AM, 08th Dec      

             
 Seeta Kunwar 
                  Second time:- {"freshdesk_webhook":{"ticket_agent_name":"Seeta Kunwar","ticket_cf_additional_details":"Customer is available for collection between 3pm and 5pm on Monday.","ticket_cf_additional_notes":"","ticket_cf_awb_number":"4364487456","ticket_cf_escalate_to_third_party":"ARAMEX","ticket_cf_fsm_phone_number":"","ticket_cf_general_notes":"This is test","ticket_cf_language":"","ticket_cf_lsm_automation_info":"","ticket_cf_lsm_escalation_info":"Delayed Collection - Updated Phone and Address","ticket_cf_new_address":"New Address-123<br\/>in New City<br\/>and New Town-4445","ticket_cf_new_phone_number":"097373733541","ticket_cf_new_status_should_be":"","ticket_cf_order_id":"12344","ticket_cf_project":"UAE","ticket_cf_store_code":"SPLASH 9874","ticket_description":"<div style=\"font-family:-apple-system, BlinkMacSystemFont, Segoe UI, Roboto, Helvetica Neue, Arial, sans-serif; font-size:14px\"><div dir=\"ltr\">Test<\/div><\/div>","ticket_group_name":"LiveSalesman","ticket_id":"3490788","ticket_source":"Phone","ticket_status":"Waiting on Third Party","ticket_tags":"AUTOTEST"}}           10:44 AM, 08th Dec      

            
 Ashwin                   May I know if this is the response for ticket #4364487456 in your helpdesk?           10:47 AM, 08th Dec 

             
 Seeta Kunwar 
                  actually I don't know ticket number           10:49 AM, 08th Dec      

            
 Ashwin                   Hmm...let me check if there is a way to pull the results with these values, Seeta           10:54 AM, 08th Dec 

             
 Seeta Kunwar 
                  sure, thanks           10:55 AM, 08th Dec      

            
 Ashwin                   Could you please clarify if there are any values that are unique?           10:56 AM, 08th Dec 

             
 Seeta Kunwar 
                  no there is no unique value           11:00 AM, 08th Dec      

             
 Seeta Kunwar 
                  is there relation of unique value ?           11:01 AM, 08th Dec      

            
 Ashwin                   I'd need the unique value to find the ticket ID, Seeta. This is because our backend data set will be huge and to narrow it down we'd need the ticket ID and automation ID from your end           11:03 AM, 08th Dec 

             
 Seeta Kunwar 
                  can i share ticket id ?           11:04 AM, 08th Dec      

             
 Seeta Kunwar 
                  this is the ticket id 3490788           11:05 AM, 08th Dec      

             
 Seeta Kunwar 
                  for which we are using to test api           11:05 AM, 08th Dec      

             
 Seeta Kunwar 
                  will it be helpful ?           11:05 AM, 08th Dec      

            
 Ashwin                   Alright!           11:07 AM, 08th Dec 

            
 Ashwin                   So, have you noticed the same issue on this ticket as well?           11:08 AM, 08th Dec 

            
 Ashwin                   Was the webhook triggered twice?           11:08 AM, 08th Dec 

             
 Seeta Kunwar 
                  yes           11:12 AM, 08th Dec      

            
 Ashwin                   Alright! Could you please confirm if landmarkgroupservice.freshdesk.com is the Freshdesk instance with which you are facing this issue?           11:15 AM, 08th Dec 

             
 Seeta Kunwar 
                  yes           11:16 AM, 08th Dec      

            
 Ashwin                   Could you please share the URL of the configured automation rule, Seeta?           11:19 AM, 08th Dec 

             
 Seeta Kunwar 
                  you mean that the webhook url that we used ?           11:20 AM, 08th Dec      

            
 Ashwin                  
 No, Seeta. This URL from your browser 

          11:22 AM, 08th Dec 

            
 Ashwin                   where the webhook is configured           11:22 AM, 08th Dec 

             
 Seeta Kunwar 
                  2 min           11:22 AM, 08th Dec      

            
 Ashwin                   Sure           11:24 AM, 08th Dec 

             
 Seeta Kunwar 
                  https://landmarkgroupservice.freshdesk.com/a/admin/automations/ticket_updates/2043001935950/edit           11:26 AM, 08th Dec      

            
 Ashwin                   Great! Would it be fine if I log in to your helpdesk to have this checked at my end?           11:27 AM, 08th Dec 

             
 Seeta Kunwar 
                  ok           11:27 AM, 08th Dec      

            
 Ashwin                   Thank you for the confirmation, lend me a few minutes here please.           11:30 AM, 08th Dec 

             
 Seeta Kunwar 
                  ?           11:44 AM, 08th Dec      

            
 Ashwin                   I'm still having this checked, Seeta. Please lend me a few more minutes. If you have somewhere to be, I can convert this chat to a ticket and keep you posted on the updates, cool?           11:45 AM, 08th Dec 

             
 Seeta Kunwar 
                  ok , i can wait           11:46 AM, 08th Dec      

            
 Ashwin                   Thank you           11:48 AM, 08th Dec 

            
 Ashwin                   Seeta, the automation rule that you have shared doesn't have the webhook configuration in it. could you please clarify?           11:54 AM, 08th Dec 

             
 Seeta Kunwar 
                  2 min           11:55 AM, 08th Dec      

             
 Seeta Kunwar 
                  sorry my mistake shared wrong url           11:56 AM, 08th Dec      

             
 Seeta Kunwar 
                  please check  https://landmarkgroupservice.freshdesk.com/a/admin/automations/ticket_updates/2043001967977/edit
           11:57 AM, 08th Dec      

            
 Ashwin                   Got it!           11:57 AM, 08th Dec 

            
 Ashwin                   Thank you for the time, Seeta           12:09 PM, 08th Dec 

            
 Ashwin                  
 Below is the payload passed in the backend from our servers 
 
 "domain"=>"https://livesalesman.com/landmark/index.php/freshdesk/callback_ticket_update", "encode_url"=>false, "ssl_enabled"=>"false", "method"=>"post", "content_type"=>"application/x-www-form-urlencoded", "timeout"=>15, "body"=>"freshdesk_webhook%5Bticket_agent_name%5D=Seeta+Kunwar&freshdesk_webhook%5Bticket_cf_additional_details%5D=Customer+is+available+for+collection+between+3pm+and+5pm+on+Monday.&freshdesk_webhook%5Bticket_cf_additional_notes%5D=&freshdesk_webhook%5Bticket_cf_awb_number%5D=4364487456&freshdesk_webhook%5Bticket_cf_escalate_to_third_party%5D=ARAMEX&freshdesk_webhook%5Bticket_cf_fsm_phone_number%5D=&freshdesk_webhook%5Bticket_cf_general_notes%5D=This+is+test&freshdesk_webhook%5Bticket_cf_language%5D=&freshdesk_webhook%5Bticket_cf_lsm_automation_info%5D=&freshdesk_webhook%5Bticket_cf_lsm_escalation_info%5D=Delayed+Collection+-+Updated+Phone+and+Address&freshdesk_webhook%5Bticket_cf_new_address%5D=New+Address-123%3Cbr%2F%3Ein+New+City%3Cbr%2F%3Eand+New+Town-4445&freshdesk_webhook%5Bticket_cf_new_phone_number%5D=097373733541&freshdesk_webhook%5Bticket_cf_new_status_should_be%5D=&freshdesk_webhook%5Bticket_cf_order_id%5D=12344&freshdesk_webhook%5Bticket_cf_project%5D=BH&freshdesk_webhook%5Bticket_cf_store_code%5D=SPLASH+9874&freshdesk_webhook%5Bticket_description%5D=%3Cdiv+style%3D%22font-family%3A-apple-system%2C+BlinkMacSystemFont%2C+Segoe+UI%2C+Roboto%2C+Helvetica+Neue%2C+Arial%2C+sans-serif%3B+font-size%3A14px%22%3E%3Cdiv+dir%3D%22ltr%22%3ETest%3C%2Fdiv%3E%3C%2Fdiv%3E&freshdesk_webhook%5Bticket_group_name%5D=LiveSalesman&freshdesk_webhook%5Bticket_id%5D=3490788&freshdesk_webhook%5Bticket_source%5D=Phone&freshdesk_webhook%5Bticket_status%5D=Waiting+on+Third+Party&freshdesk_webhook%5Bticket_tags%5D=AUTOTEST"} 
          12:09 PM, 08th Dec 

             
 Seeta Kunwar 
                  WC           12:09 PM, 08th Dec      

             
 Seeta Kunwar 
                  why it is triggering twice           12:10 PM, 08th Dec      

            
 Ashwin                   To have this checked further, we will have to loop in the backend team, Seeta. So, would it be fine if I create a ticket for this?           12:19 PM, 08th Dec 

             
 Seeta Kunwar 
                  yes please           12:21 PM, 08th Dec      

            
 Ashwin                   Thank you for your cooperation, Seeta.           12:22 PM, 08th Dec 

            
 Ashwin                   We will get back to you with further updates, shortly.           12:22 PM, 08th Dec 

             
 Seeta Kunwar 
                  thanks           12:22 PM, 08th Dec      

            
 Ashwin                   Converting this to a ticket now.           12:24 PM, 08th Dec 

       

 View conversation in Freshchat